/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) The Santa Cruz Operation, 1985, 1986.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 *
 */

/*
 * Intel 8237 DMA Controller.
 */

/*
 * DMA I/O Port Assignments.
 */
#define DMA_1ADR 	0x02	/* Channel 1 address register */
#define DMA_1WCNT 	0x03	/* Channel 1 word count */
#define DMA_2ADR 	0x04	/* Channel 2 address register */
#define DMA_2WCNT 	0x05	/* Channel 2 word count */
#define DMA_3ADR 	0x06	/* Channel 3 address register */
#define DMA_3WCNT 	0x07	/* Channel 3 word count */

#define DMA_1XADR 	0x83	/* Channel 1 address extension reg */
#define DMA_2XADR 	0x81	/* Channel 2 address extension reg */
#define DMA_3XADR 	0x82	/* Channel 3 address extension reg */

#define DMA_CMD		0x08	/* Command reg */
#define DMA_STAT	0x08	/* Status reg */
#define DMA_RES_MSK     0x0A	/* Mask set/reset register */
#define DMA_MODE	0x0B	/* Mode reg */
#define DMA_CLFF	0x0C	/* Clear byte pointer first/last flip-flop */

#define DMA_MSK		0x0A	/* Mask, enable disk, disable others */
#define DMA_CLEAR	0x1A	/* Master clear */
#define IOCR		0x56	/* IO controller */

/*
 * DMA Channels.
 */

#define DMA_CH1		1	/* Channel 1 */
#define DMA_CH2		2	/* Channel 2 */
#define DMA_CH3		3	/* Channel 3 */

/*
 * DMA Masks.
 */
#define DMA_SETMSK	4	/* Set mask bit */
#define DMA_CLRMSK	0	/* Clear mask bit */

/*
 * DMA Commands.
 */
#define DMA_Rdmode	0x48	/* single, read, increment, no auto-init */
#define DMA_Wrmode	0x44	/* single, write, increment, no auto-init */

