/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) The Santa Cruz Operation, 1985, 1986.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation and should be treated as Confidential.
 *
 */

/* The boot block partition table 
 *
 * Note: High two bits of the sector field are the high order two bits
 *       of the the cylinder number
 */

#define BOOTBLK		((daddr_t)0)	/* Block number of boot block */
#define PT_OFFSET	0x1BE		/* Partition table offset in bootblk */
#define PT_ACTIVE	0x80		/* Indicates partition is active */
#define PT_SIGNATURE	0xAA55		/* Boot block signature */
#define PT_DOS		0x01		/* Sysind value for DOS */


struct partition {
	
	char pt_bootind;	/* Bootable partition indicator */
	char pt_bhead;		/* Beginning head */
	char pt_bsector;	/* Beginning sector */
	char pt_bcyl;		/* Beginning cylinder */
	char pt_sysind;		/* DOS/Non-DOS partition indicator */
	char pt_ehead;		/* Ending head */
	char pt_esector;	/* Ending sector */
	char pt_ecyl;		/* Ending cylinder */
	unsigned pt_lowoff;	/* Low word of partition offset in sectors */
	unsigned pt_hioff;	/* High word of partition offset in sectors */
	unsigned pt_lowsz;	/* Low word of partition size in sectors */
	unsigned pt_hisz;	/* High word of partition size in sectors */
	};

/* The actual 4 partitions in the table */

struct parttbl {
	struct partition part[4];
	int pt_signature;
	};

struct masterboot {
	char code[0x1BE];
	struct parttbl parttbl;
};
